org.wildfly.swarm.spi.api

## Interface SwarmProperties

-     public interface SwarmProperties

  This class defines all system properties used by Swarm

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AJP_PORT` Sets the AJP port to be used, defaults to 8009
    `static String` | `ARQUILLIAN_DAEMON_PORT` Port number for Swarm's Arquillian Daemon.
    `static String` | `BIND_ADDRESS` Interface to bind servers, defaults to 0.0.0.0
    `static String` | `CONTEXT_PATH` The context path to be used, defaults to /
    `static String` | `DEBUG_BOOTSTRAP` If provided, the swarm container will log bootstrap information
    `static String` | `DEBUG_PORT` If provided, the swarm process will pause for debugging on the given port.
    `static String` | `DEPLOYMENT_TIMEOUT` Timeout, in seconds, to wait for a deployment to occur, defaults to 300
    `static String` | `ENVIRONMENT` The environment this process is running on (eg.
    `static String` | `EXPORT_DEPLOYMENT` Causes a deployed artifact to be dumped to disk when swarm starts, for debugging.
    `static String` | `HTTP_EAGER` Since introducing the delayed open HTTP listeners, it has been determined that maybe it'd be useful to be able to eagerly open the listeners through usage of a property.
    `static String` | `HTTP_PORT` Sets the HTTP port to be used, defaults to 8080
    `static String` | `HTTPS_GENERATE_SELF_SIGNED_CERTIFICATE` If true, generates a self-signed certificate for development purposes
    `static String` | `HTTPS_GENERATE_SELF_SIGNED_CERTIFICATE_HOST` The host used in the self-signed certificate if `HTTPS_GENERATE_SELF_SIGNED_CERTIFICATE` is true Defaults to localhost
    `static String` | `HTTPS_PORT` Sets the HTTPS port to be used, defaults to 8443
    `static String` | `PORT_OFFSET` Sets a global port adjustment, defaults to 0
    `static String` | `PROJECT_STAGE` Activates a stage in project-stages.yml
    `static String` | `PROJECT_STAGE_FILE` A URL spec reference to a project stage file

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `propertyVar(String property)` Formats a property as ${property}
    `static String` | `propertyVar(String property, String defaultValue)` Formats a property as ${property:defaultValue}

- - ### Field Detail

    - #### EXPORT_DEPLOYMENT

          static final String EXPORT_DEPLOYMENT

      Causes a deployed artifact to be dumped to disk when swarm starts, for debugging. Defaults to `false`
      See Also:
        Constant Field Values

    - #### PORT_OFFSET

          static final String PORT_OFFSET

      Sets a global port adjustment, defaults to 0
      See Also:
        Constant Field Values

    - #### BIND_ADDRESS

          static final String BIND_ADDRESS

      Interface to bind servers, defaults to 0.0.0.0
      See Also:
        Constant Field Values

    - #### HTTP_EAGER

          static final String HTTP_EAGER

      Since introducing the delayed open HTTP listeners, it has been determined that maybe it'd be useful to be able to eagerly open the listeners through usage of a property. If non-`null`, will cause the http listeners to not be lazy.
      See Also:
        Constant Field Values

    - #### HTTP_PORT

          static final String HTTP_PORT

      Sets the HTTP port to be used, defaults to 8080
      See Also:
        Constant Field Values

    - #### AJP_PORT

          static final String AJP_PORT

      Sets the AJP port to be used, defaults to 8009
      See Also:
        Constant Field Values

    - #### HTTPS_PORT

          static final String HTTPS_PORT

      Sets the HTTPS port to be used, defaults to 8443
      See Also:
        Constant Field Values

    - #### HTTPS_GENERATE_SELF_SIGNED_CERTIFICATE

          static final String HTTPS_GENERATE_SELF_SIGNED_CERTIFICATE

      If true, generates a self-signed certificate for development purposes
      See Also:
        Constant Field Values

    - #### HTTPS_GENERATE_SELF_SIGNED_CERTIFICATE_HOST

          static final String HTTPS_GENERATE_SELF_SIGNED_CERTIFICATE_HOST

      The host used in the self-signed certificate if `HTTPS_GENERATE_SELF_SIGNED_CERTIFICATE` is true Defaults to localhost
      See Also:
        Constant Field Values

    - #### CONTEXT_PATH

          static final String CONTEXT_PATH

      The context path to be used, defaults to /
      See Also:
        Constant Field Values

    - #### DEBUG_PORT

          static final String DEBUG_PORT

      If provided, the swarm process will pause for debugging on the given port. This option is only available when running an Arquillian test or mvn wildfly-swarm:run, not when executing java -jar. The latter requires normal Java debug agent parameters.
      See Also:
        Constant Field Values

    - #### DEBUG_BOOTSTRAP

          static final String DEBUG_BOOTSTRAP

      If provided, the swarm container will log bootstrap information
      See Also:
        Constant Field Values

    - #### ENVIRONMENT

          static final String ENVIRONMENT

      The environment this process is running on (eg. openshift)
      See Also:
        Constant Field Values

    - #### PROJECT_STAGE

          static final String PROJECT_STAGE

      Activates a stage in project-stages.yml
      See Also:
        Constant Field Values

    - #### PROJECT_STAGE_FILE

          static final String PROJECT_STAGE_FILE

      A URL spec reference to a project stage file
      See Also:
        `URL`, Constant Field Values

    - #### DEPLOYMENT_TIMEOUT

          static final String DEPLOYMENT_TIMEOUT

      Timeout, in seconds, to wait for a deployment to occur, defaults to 300
      See Also:
        Constant Field Values

    - #### ARQUILLIAN_DAEMON_PORT

          static final String ARQUILLIAN_DAEMON_PORT

      Port number for Swarm's Arquillian Daemon.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### propertyVar

          static String propertyVar(String property)

      Formats a property as ${property}
      Parameters:
        `property` - the property to be formatted
      Returns:
        the formatted value as ${property}

    - #### propertyVar

          static String propertyVar(String property,
                                    String defaultValue)

      Formats a property as ${property:defaultValue}
      Parameters:
        `property` - the property to be formatted
        `defaultValue` -
      Returns:
        the formatted value as ${property:defaultValue}

Copyright © 2017 JBoss by Red Hat. All rights reserved.